Subject: bug#8368: 24.0.50; "temp" means "help" - rename or at least document

From: "Drew Adams" <[email-masked]>
Date: Tue, 1 May 2012 06:09:59 -0700

> The question is rather one of how to avoid
> confusing users when we have, for example, a `temp-buffer-setup-hook'
> and a `plain-temp-buffer-setup-hook' and BOTH get run when we 
> invoke the inheriting macro.

I thought both what you proposed and what I proposed addressed this: rename
(alias) and deprecate the old, misleading names.  Seems like we're going 'round
in circles now.  I thought we (you & I & Stefan, at least) had already agreed on
a reasonable solution.

And I was pretty clear that the names are not what is most important to me.
What matters most is to have a macro that does only the non-help stuff, separate
from the macro that does also the help stuff.  To repeat:

>> Probably we will need to leave the original name for the 
>> current behavior, but if it could be aliased to something
>> with "help" in the name, and then the original name deprecated,
>> that would be better.  (I think that's part of what
>> you suggest.)  And create a new name for the 
>> temp-without-the-help-stuff case.
>> 
>> Whatever you decide will I'm sure be better than the hard-coded
>> take-it-or-leave-it situation we have now.  And splitting the 
>> two this way will also reduce any pressure (e.g., from users
>> like me) not to add more help stuff to the help-mode version.